SAXBuilder (Groovy 4.0.10)

Package: groovy.xml

## [Java] Class SAXBuilder

- groovy.xml.SAXBuilder

-     public class SAXBuilder
      extends BuilderSupport

  A builder for generating W3C SAX events. Use similar to MarkupBuilder.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SAXBuilder(ContentHandler handler)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `createNode(Object name)`
    `` | `protected Object` | `createNode(Object name, Object value)`
    `` | `protected Object` | `createNode(Object name, Map attributeMap, Object text)`
    `` | `protected Object` | `createNode(Object name, Map attributes)`
    `` | `protected void` | `doStartElement(Object name, Attributes attributes)`
    `` | `protected void` | `handleException(SAXException e)`
    `` | `protected void` | `nodeCompleted(Object parent, Object name)`
    `` | `protected void` | `setParent(Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BuilderSupport` | `createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public SAXBuilder(ContentHandler handler)

  - ### Method Detail

    - #### @Override
      protected Object createNode(Object name)

    - #### @Override
      protected Object createNode(Object name, Object value)

    - #### @Override
      protected Object createNode(Object name, Map attributeMap, Object text)

    - #### @Override
      protected Object createNode(Object name, Map attributes)

    - #### protected void doStartElement(Object name, Attributes attributes)

    - #### protected void handleException(SAXException e)

    - #### @Override
      protected void nodeCompleted(Object parent, Object name)

    - #### @Override
      protected void setParent(Object parent, Object child)